# Uses of Interface
org.eclipse.rap.rwt.service.SettingStore

Packages that use SettingStore
Package
Description
org.eclipse.rap.rwt
org.eclipse.rap.rwt.service

## Uses of SettingStore in org.eclipse.rap.rwt

Methods in org.eclipse.rap.rwt that return SettingStore
Modifier and Type
Method
Description
`static SettingStore`
RWT.`getSettingStore()`
Returns the setting store instance for the current UI session.

## Uses of SettingStore in org.eclipse.rap.rwt.service

Classes in org.eclipse.rap.rwt.service that implement SettingStore
Modifier and Type
Class
Description
`final class`
`FileSettingStore`
A setting store implementation that persists all settings on the file system using Java `Properties` files.
Methods in org.eclipse.rap.rwt.service that return SettingStore
Modifier and Type
Method
Description
`SettingStore`
FileSettingStoreFactory.`createSettingStore(String id)`
`SettingStore`
SettingStoreFactory.`createSettingStore(String id)`
Creates and initializes a new specific setting store instance.
Constructors in org.eclipse.rap.rwt.service with parameters of type SettingStore
Modifier
Constructor
Description
``
`SettingStoreEvent(SettingStore source, String attributeName, String oldValue, String newValue)`